List Rule Analysis Ignored Rules

List Rule Analysis Ignored Rules
List the firewall rules ignored from firewall rule analysis activities.

Returns the list of all firewall rules ignored from firewall rule analysis activities. These are firewall rules published in the system.

Request
URI
POST
https://{api_host}/firewall/rule-analysis/settings/ignored-rules/action/query
COPY
Request Body

Use the parameters to list the firewall rules ignored from firewall rule analysis activities.

IgnoredRulesListRequest of type(s) application/json
Optional
This request body class requires all of the following: ListRequestParameters , InlineIgnoredRulesListRequest1
{
    "site_ids": [
        "string"
    ],
    "offset": 0,
    "page_size": 0,
    "sort_ascending": false,
    "sort_by": "string",
    "display_name": [
        "string"
    ],
    "rule_id": [
        0
    ],
    "parent_path": [
        "string"
    ],
    "policy_name": [
        "string"
    ]
}
Authentication
This operation uses the following authentication methods.
Responses
200

Success response for listing firewall rule analysis ignored rules.

Returns IgnoredRulesListResult of type(s) application/json
This response body class contains all of the following: ListResult , InlineIgnoredRulesListResult1
{
    "offset": 0,
    "number_of_results": 0,
    "total_result_count": 0,
    "total_pages": 0,
    "sort_ascending": false,
    "sort_by": "string",
    "firewall_rules": [
        {
            "_self": {},
            "_links": [
                {
                    "href": "string",
                    "action": "string",
                    "rel": "string"
                }
            ],
            "_schema": "string",
            "_revision": 0,
            "resource_type": "string",
            "_create_user": "string",
            "_create_time": 0,
            "_last_modified_user": "string",
            "_last_modified_time": 0,
            "_system_owned": false,
            "_protection": "string",
            "id": "string",
            "display_name": "string",
            "description": "string",
            "tags": [
                {
                    "scope": "string",
                    "tag": "string"
                }
            ],
            "origin_site_id": "string",
            "owner_id": "string",
            "parent_path": "string",
            "path": "string",
            "realization_id": "string",
            "relative_path": "string",
            "remote_path": "string",
            "unique_id": "string",
            "children": [
                {
                    "_self": {},
                    "_links": [
                        {
                            "href": "string",
                            "action": "string",
                            "rel": "string"
                        }
                    ],
                    "_schema": "string",
                    "_revision": 0,
                    "resource_type": "string",
                    "_create_user": "string",
                    "_create_time": 0,
                    "_last_modified_user": "string",
                    "_last_modified_time": 0,
                    "_system_owned": false,
                    "_protection": "string",
                    "id": "string",
                    "display_name": "string",
                    "description": "string",
                    "tags": [
                        {
                            "scope": "string",
                            "tag": "string"
                        }
                    ],
                    "mark_for_override": false,
                    "marked_for_delete": false
                }
            ],
            "marked_for_delete": false,
            "overridden": false,
            "destination_groups": [
                "string"
            ],
            "destinations_excluded": false,
            "direction": "string",
            "disabled": false,
            "ip_protocol": "string",
            "is_default": false,
            "logged": false,
            "notes": "string",
            "profiles": [
                "string"
            ],
            "rule_id": 0,
            "scope": [
                "string"
            ],
            "sequence_number": 0,
            "service_entries": [
                "string"
            ],
            "services": [
                "string"
            ],
            "source_groups": [
                "string"
            ],
            "sources_excluded": false,
            "tag": "string",
            "action": "string",
            "policy_name": "string",
            "is_anchor": false,
            "is_unpublished": false,
            "is_ignored": false,
            "metadata": [
                {
                    "key": "string",
                    "value": "string"
                }
            ],
            "additional_info": {
                "destination_groups": [
                    {
                        "path": "string",
                        "display_name": "string"
                    }
                ],
                "profiles": [
                    {
                        "path": "string",
                        "display_name": "string"
                    }
                ],
                "services": [
                    {
                        "path": "string",
                        "display_name": "string"
                    }
                ],
                "source_groups": [
                    {
                        "path": "string",
                        "display_name": "string"
                    }
                ]
            }
        }
    ]
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/firewall/rule-analysis/settings/ignored-rules/action/query